# Comment

{% hint style="info" %}
&#x20;This endpoint requires `comments_w`, and `candidates_rw` or `my_candidates_rw` scopes.
{% endhint %}

## comment creation

<mark style="color:green;">`POST`</mark> `https://www.welcomekit.co/api/v1/external/comments`

#### Query Parameters

| Name                                                   | Type   | Description                                    |
| ------------------------------------------------------ | ------ | ---------------------------------------------- |
| candidate\_reference<mark style="color:red;">\*</mark> | string | Candidate reference                            |
| content                                                | string | Comment content (plain text, html or markdown) |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "id":83316,
  "content":"<p>Foo</p>\n",
  "raw_content":"Foo"
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X POST "https://www.welcomekit.co/api/v1/external/comments" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d @- <<EOF
{
  "candidate_reference": "wttj-d655345409a6097309156b05",
  "content": "Foo"
}
EOF
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/candidates-api/create-a-comment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
